Index: contrib/crossrpms/rtems4.9/avr/.cvsignore
===================================================================
--- contrib/crossrpms/rtems4.9/avr/.cvsignore	(revision ed73806be6bfb1ae0544ca94f4da39eaf2654a92)
+++ contrib/crossrpms/rtems4.9/avr/.cvsignore	(revision ed73806be6bfb1ae0544ca94f4da39eaf2654a92)
@@ -0,0 +1,4 @@
+Makefile
+Makefile.in
+*.spec
+*.spec.in
Index: contrib/crossrpms/rtems4.9/avr/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/avr/Makefile.am	(revision ed73806be6bfb1ae0544ca94f4da39eaf2654a92)
+++ contrib/crossrpms/rtems4.9/avr/Makefile.am	(revision ed73806be6bfb1ae0544ca94f4da39eaf2654a92)
@@ -0,0 +1,29 @@
+# $Id$
+
+TARGET = avr-rtems4.9
+
+include $(top_srcdir)/mkspec.am
+
+BINUTILS_VERS = 2.18
+BINUTILS_PKGVERS = $(BINUTILS_VERS)
+BINUTILS_RPMREL = 1%{?dist}
+include ../binutils.am
+BINUTILS_OPTS +=
+
+GCC_VERS = 4.0.3
+GCC_PKGVERS = $(GCC_VERS)
+GCC_RPMREL = 12%{?dist}
+NEWLIB_VERS = 1.15.0
+include ../gcc.am
+
+GDB_VERS = 6.6
+GDB_PKGVERS = $(GDB_VERS)
+GDB_RPMREL = 9%{?dist}
+include ../gdb.am
+GDB_OPTS +=
+
+CPUKIT_VERS = 4.7.99.1
+CPUKIT_PKGVERS = $(CPUKIT_VERS)-20070510
+CPUKIT_RPMREL = 0
+include ../cpukit.am
+CPUKIT_OPTS +=
Index: contrib/crossrpms/rtems4.9/avr/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/avr/binutils-sources.add	(revision ed73806be6bfb1ae0544ca94f4da39eaf2654a92)
+++ contrib/crossrpms/rtems4.9/avr/binutils-sources.add	(revision ed73806be6bfb1ae0544ca94f4da39eaf2654a92)
@@ -0,0 +1,8 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{binutils_version}" == "2.17"
+Patch0:		binutils-2.17-rtems4.8-20061021.diff
+%endif
+%if "%{binutils_version}" == "2.17.90"
+Patch0:		binutils-2.17.90-rtems4.8-20070807.diff
+%endif
Index: contrib/crossrpms/rtems4.9/avr/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/avr/cpukit-sources.add	(revision ed73806be6bfb1ae0544ca94f4da39eaf2654a92)
+++ contrib/crossrpms/rtems4.9/avr/cpukit-sources.add	(revision ed73806be6bfb1ae0544ca94f4da39eaf2654a92)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.9/avr/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/avr/gcc-sources.add	(revision ed73806be6bfb1ae0544ca94f4da39eaf2654a92)
+++ contrib/crossrpms/rtems4.9/avr/gcc-sources.add	(revision ed73806be6bfb1ae0544ca94f4da39eaf2654a92)
@@ -0,0 +1,57 @@
+%if "%{gcc_version}" == "3.4.6"
+Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-3.4.6/gcc-core-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.0.3"
+Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.0.3-rtems-20060822.diff
+%endif
+%if "%{gcc_version}" == "4.1.1"
+Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.1.1-rtems4.8-20070201.diff
+%endif
+%if "%{gcc_version}" == "4.1.2"
+Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.1.2-rtems4.8-20070613.diff
+%endif
+%if "%{gcc_version}" == "4.2.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-%{gcc_pkgvers}-rtems4.8-20070613.diff
+%endif
+%if "%{gcc_version}" == "4.2.1"
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.1-rtems4.8-20070804.diff
+%endif
+%{?_without_sources:NoSource:	0}
+
+%if %build_cxx
+Source1: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	1}
+
+%endif
+%if %build_f95
+Source2:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-fortran-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	2}
+
+%endif
+%if %build_gcj
+Source3:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-java-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	3}
+
+%endif
+%if %build_gnat
+Source4:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-ada-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	4}
+
+%endif
+%if %build_objc
+Source5:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-objc-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	5}
+
+%endif
+%if %build_newlib
+Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
+%if "%{newlib_version}" == "1.15.0"
+Patch50:	newlib-1.15.0-rtems4.8-20070804.diff
+%endif
+%{?_without_sources:NoSource:	50}
+%endif
Index: contrib/crossrpms/rtems4.9/avr/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/avr/gdb-sources.add	(revision ed73806be6bfb1ae0544ca94f4da39eaf2654a92)
+++ contrib/crossrpms/rtems4.9/avr/gdb-sources.add	(revision ed73806be6bfb1ae0544ca94f4da39eaf2654a92)
@@ -0,0 +1,8 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{gdb_version}" == "6.5"
+Patch0:		gdb-6.5-rtems-20060713.diff
+%endif
+%if "%{gdb_version}" == "6.6"
+Patch0:		gdb-6.6-rtems4.8-20070306.diff
+%endif
